Edit a comment’s text
Regional
us.api.brault.app— follows the region selector in the top barThe author only. Anyone else answers 404.
Authorization
apiKey AuthorizationBearer <token>
API key from Settings → Developers
In: header
Path Parameters
fileId*string
commentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/files/string/comments/string" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "object": "comment", "id": "string", "file_id": "string", "version_id": "string", "text": "string", "author": { "id": "string", "name": "string" }, "anonymous_name": "string", "mentions": [ { "id": "string", "name": "string" } ], "timestamp_ms": 0, "annotations": [ { "type": "draw", "coordinates": [ { "x": 0, "y": 0 } ] } ], "resolved": true, "resolved_at": "2019-08-24T14:15:22Z", "resolved_by_id": "string", "has_replies": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "edited_at": "2019-08-24T14:15:22Z"}